@echo off
set ROOT=%~dp0

echo Creating Python venv...

py -3.11 -m venv "%ROOT%\aip01editor"
if errorlevel 1 (
    echo Failed to create venv
    exit /b 1
)

echo Activating...
call "%ROOT%\aip01editor\Scripts\activate"

echo Upgrading pip...
python -m pip install --upgrade pip

echo Installing packages...
pip install numpy pandas pillow opencv-python

echo Done!
exit /b 0